/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.livstestamente.domain;

import dk.sundhedsdatastyrelsen.livstestamente.domain.abstr.VersionedAbstractVO;

public class TreatmentWillVO extends VersionedAbstractVO {

    private Long treatmentWillPID;
    private String personIdentifier;
    private boolean noLifeProlongingIfDying;
    private AcceptanceNeeded noLifeProlongingIfDyingAcceptanceNeeded;
    private boolean noLifeProlongingIfSeverelyDegraded;
    private AcceptanceNeeded noLifeProlongingIfSeverelyDegradedAcceptanceNeeded;
    private boolean noLifeProlongingIfSeverePain;
    private AcceptanceNeeded noLifeProlongingIfSeverePainAcceptanceNeeded;
    private boolean noForcedTreatmentIfIncapable;
    private AcceptanceNeeded noForcedTreatmentIfIncapableAcceptanceNeeded;

    public Long getTreatmentWillPID() {
        return treatmentWillPID;
    }

    public void setTreatmentWillPID(Long treatmentWillPID) {
        this.treatmentWillPID = treatmentWillPID;
    }

    public String getPersonIdentifier() {
        return personIdentifier;
    }

    public void setPersonIdentifier(String personIdentifier) {
        this.personIdentifier = personIdentifier;
    }

    public boolean isNoLifeProlongingIfDying() {
        return noLifeProlongingIfDying;
    }

    public void setNoLifeProlongingIfDying(boolean noLifeProlongingIfDying) {
        this.noLifeProlongingIfDying = noLifeProlongingIfDying;
    }

    public AcceptanceNeeded getNoLifeProlongingIfDyingAcceptanceNeeded() {
        return noLifeProlongingIfDyingAcceptanceNeeded;
    }

    public void setNoLifeProlongingIfDyingAcceptanceNeeded(AcceptanceNeeded noLifeProlongingIfDyingAcceptanceNeeded) {
        this.noLifeProlongingIfDyingAcceptanceNeeded = noLifeProlongingIfDyingAcceptanceNeeded;
    }

    public boolean isNoLifeProlongingIfSeverelyDegraded() {
        return noLifeProlongingIfSeverelyDegraded;
    }

    public void setNoLifeProlongingIfSeverelyDegraded(boolean noLifeProlongingIfSeverelyDegraded) {
        this.noLifeProlongingIfSeverelyDegraded = noLifeProlongingIfSeverelyDegraded;
    }

    public AcceptanceNeeded getNoLifeProlongingIfSeverelyDegradedAcceptanceNeeded() {
        return noLifeProlongingIfSeverelyDegradedAcceptanceNeeded;
    }

    public void setNoLifeProlongingIfSeverelyDegradedAcceptanceNeeded(AcceptanceNeeded noLifeProlongingIfSeverelyDegradedAcceptanceNeeded) {
        this.noLifeProlongingIfSeverelyDegradedAcceptanceNeeded = noLifeProlongingIfSeverelyDegradedAcceptanceNeeded;
    }

    public boolean isNoLifeProlongingIfSeverePain() {
        return noLifeProlongingIfSeverePain;
    }

    public void setNoLifeProlongingIfSeverePain(boolean noLifeProlongingIfSeverePain) {
        this.noLifeProlongingIfSeverePain = noLifeProlongingIfSeverePain;
    }

    public AcceptanceNeeded getNoLifeProlongingIfSeverePainAcceptanceNeeded() {
        return noLifeProlongingIfSeverePainAcceptanceNeeded;
    }

    public void setNoLifeProlongingIfSeverePainAcceptanceNeeded(AcceptanceNeeded noLifeProlongingIfSeverePainAcceptanceNeeded) {
        this.noLifeProlongingIfSeverePainAcceptanceNeeded = noLifeProlongingIfSeverePainAcceptanceNeeded;
    }

    public boolean isNoForcedTreatmentIfIncapable() {
        return noForcedTreatmentIfIncapable;
    }

    public void setNoForcedTreatmentIfIncapable(boolean noForcedTreatmentIfIncapable) {
        this.noForcedTreatmentIfIncapable = noForcedTreatmentIfIncapable;
    }

    public AcceptanceNeeded getNoForcedTreatmentIfIncapableAcceptanceNeeded() {
        return noForcedTreatmentIfIncapableAcceptanceNeeded;
    }

    public void setNoForcedTreatmentIfIncapableAcceptanceNeeded(AcceptanceNeeded noForcedTreatmentIfIncapableAcceptanceNeeded) {
        this.noForcedTreatmentIfIncapableAcceptanceNeeded = noForcedTreatmentIfIncapableAcceptanceNeeded;
    }
}
