/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.livstestamente;

/**
 * OIDs. For detailed explanation, view oidref.com/[OID] (eg. oidref.com/1.2.208.176.1.2)
 * TODO: OIDs to be defined by MedCom
 */
public class OID {

    public static final String SOR = "1.2.208.176.1.1";
    public static final String CPR = "1.2.208.176.1.2";
    public static final String SKS = "2.16.840.1.113883.3.4208.100.5";

    public static final String ISO_MEMBERBODY_DK_MEDCOM = "1.2.208.184";
    public static final String CONFIDENTIALITYCODE = "2.16.840.1.113883.5.25";
    public static final String HL7_REGISTEREDE_RMIMS = "2.16.840.1.113883.1.3";

    // MedCom: uspec_paaroerende, barn, aegtefaelle, forældre, barnebarn, svigerbarn, ingen_relationer, nabo, samboende, registreret_partner, søskende, øvrig_familie
    public static final String LIVING_WILL_CODE_SYSTEM = "1.2.208.184.15.1";
    public static final String TREATMENT_WILL_CODE_SYSTEM = "1.2.208.184.15.1";
    public static final String UDDANNELSESKODE = "1.2.208.184.15.5";
    public static final String AUTORISATIONSID = "1.2.208.184.15.6";
    public static final String YDERNUMMER = "1.2.208.184.15.8";
    public static final String CVR_P = "1.2.208.184.15.9";
    public static final String CVR = "1.2.208.184.15.10";
    public static final String KOMMUNEKODE = "1.2.208.184.15.11";

}
