/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package org.hl7.v3;

import org.hl7.btr.TreatmentWill;
import org.hl7.btrv2.TreatmentWillV2;
import org.hl7.ltr.LivingWill;

import javax.xml.bind.annotation.*;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


/**
 * 
 *             Defines the basic properties of every data value. This
 *             is an abstract type, meaning that no value can be just
 *             a data value without belonging to any concrete type.
 *             Every concrete type is a specialization of this
 *             general abstract DataValue type.
 *          
 * 
 * <p>Java class for ANY complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ANY">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="nullFlavor" type="{urn:hl7-org:v3}NullFlavor" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
//TODO: når oprindelig treatmentWill wsdl fjernes
/*
 * Denne klasse er lavet for at de 2 wsdl'er for treatmentwill og tilhørende xsd'er til TreatmentWill kan leve side om side midlertidigt, indtil den oprindelige wsdl bliver udfaset.
 * 
 * Da det kun er en midlertidig løsning, er følgende genveje taget i løsningen som hele, også for at det er lettere at fjerne den oprindelige kode senere. 
 * (Disse eller deres "ophav" kan fjernes igen, når gammel wsdl fjernes):
 * 
 *  - vha jaxws-maven-plugin genereres de 2 wsdl til 2 forskellige biblioteker.
 *  - der er lavet source sletning i ltr-btr-schemas modulet vha. maven-clean-plugin plugin. 
 *  - ANY.java klassen vedligeholdes manuelt
 *  - alle klasser, der gør brug af de nye typer, er kopieret "as is" fra de gamle klasser og fået inkluderet v2 i navnet. 
 *    Det drejer sig om følgende klasser (tilhørende test udeladt)
 *      > ltr-btr-service/src/main/java/dk/sundhedsdatastyrelsen/livstestamente/service/webservice/TreatmentWillWebServiceV2.java
 *      > ltr-btr-service/src/main/java/dk/sundhedsdatastyrelsen/livstestamente/service/webservice/TreatmentWillWebServiceImplV2.java
 *      > ltr-btr-service/src/main/java/dk/sundhedsdatastyrelsen/livstestamente/service/webservice/WebServiceDelegateV2.java
 *      > ltr-btr-service/src/main/java/dk/sundhedsdatastyrelsen/livstestamente/service/webservice/hl7cda/TreatmentWillHL7CDAMapperV2.java
 *      > ltr-btr-service/src/main/java/dk/sundhedsdatastyrelsen/livstestamente/service/webservice/hl7cda/TreatmentWillHL7CDAValidatorV2.java
 *      > ltr-btr-service/src/test/java/dk/sundhedsdatastyrelsen/livstestamente/service/util/TestHelperV2.java
 *  
 *  - business logikken og database adgangen styres af en switch om der skal køres med ny logik eller ej.
 * (ovenstående liste er ikke udtømmende. For de ændringer, der er lavet, se istedet commit for SDS-3183)
 * 
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ANY")
@XmlSeeAlso({
    TreatmentWill.class,
    TreatmentWillV2.class,
    AD.class,
    ANYNonNull.class,
    CR.class,
    II.class,
    SLISTTS.class,
    GLISTPQ.class,
    SLISTPQ.class,
    EN.class,
    GLISTTS.class,
    QTY.class,
    CD.class,
    URL.class,
    BIN.class,
    LivingWill.class,
    DeceasedInd.class
})
@XmlTransient
public abstract class ANY
    implements Serializable
{

    @XmlAttribute(name = "nullFlavor")
    protected List<String> nullFlavors;

    /**
     * Gets the value of the nullFlavors property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the nullFlavors property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNullFlavors().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getNullFlavors() {
        if (nullFlavors == null) {
            nullFlavors = new ArrayList<String>();
        }
        return this.nullFlavors;
    }


    
}
